Package org.eclipse.net4j.spi.db

# Class DBAdapter.IndexInfo

java.lang.Object
org.eclipse.net4j.spi.db.DBAdapter.IndexInfo

Enclosing class:
  `DBAdapter`

public static final class DBAdapter.IndexInfo extends Object

Since:
  4.13
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`List<DBAdapter.FieldInfo>`
`fieldInfos`
`String`
`name`
`IDBIndex.Type`
`type`

## Constructor Summary

Constructors
Constructor
Description
`IndexInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### type

public IDBIndex.Type type

### fieldInfos

public List<DBAdapter.FieldInfo> fieldInfos

## Constructor Details

### IndexInfo

public IndexInfo()